import request from '@/utils/request'

// 查询老师课程关联列表
export function listTeacherCourse(query) {
  return request({
    url: '/hezhi/teacherCourse/list',
    method: 'get',
    params: query
  })
}

// 查询老师课程关联详细
export function getTeacherCourse(teacherCourseId) {
  return request({
    url: '/hezhi/teacherCourse/' + teacherCourseId,
    method: 'get'
  })
}

// 新增老师课程关联
export function addTeacherCourse(data) {
  return request({
    url: '/hezhi/teacherCourse',
    method: 'post',
    data: data
  })
}

// 修改老师课程关联
export function updateTeacherCourse(data) {
  return request({
    url: '/hezhi/teacherCourse',
    method: 'put',
    data: data
  })
}

// 删除老师课程关联
export function delTeacherCourse(teacherCourseId) {
  return request({
    url: '/hezhi/teacherCourse/' + teacherCourseId,
    method: 'delete'
  })
}
